biology/ncbi-blast+ - The NetBSD Packages Collection

NCBI implementation of Basic Local Alignment Search Tool

The Basic Local Alignment Search Tool (BLAST) finds regions of local similarity
between sequences. The program compares nucleotide or protein sequences to
sequence databases and calculates the statistical significance of matches.
BLAST can be used to infer functional and evolutionary relationships between
sequences as well as help identify members of gene families.

Build dependencies

pkgtools/cwrappers shells/bash devel/gmake lang/perl5

Runtime dependencies

archivers/lzo devel/pcre databases/lmdb security/gnutls security/libtasn1 security/nettle security/nettle devel/gmp devel/gmp security/p11-kit security/p11-kit devel/libidn2 security/libgcrypt security/libgpg-error lang/python38 lang/python38 devel/pcre security/gnutls security/libtasn1 security/nettle devel/gmp security/p11-kit security/libgcrypt security/libgpg-error

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfncbi-blast+-2.8.1nb12.tgz
NetBSD 8.0earmv7hfncbi-blast+-2.8.1nb10.tgz
NetBSD 8.0earmv7hfncbi-blast+-2.8.1nb12.tgz
NetBSD 8.0i386ncbi-blast+-2.8.1nb10.tgz
NetBSD 8.0i386ncbi-blast+-2.8.1nb12.tgz
NetBSD 8.0i386ncbi-blast+-2.8.1nb12.tgz
NetBSD 8.0i386ncbi-blast+-2.11.0.tgz
NetBSD 8.0x86_64ncbi-blast+-2.8.1nb12.tgz
NetBSD 8.0x86_64ncbi-blast+-2.8.1nb10.tgz
NetBSD 8.0x86_64ncbi-blast+-2.8.1nb12.tgz
NetBSD 8.0x86_64ncbi-blast+-2.11.0.tgz
NetBSD 9.0aarch64ncbi-blast+-2.8.1nb10.tgz
NetBSD 9.0aarch64ncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0aarch64ncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0earmv6hfncbi-blast+-2.8.1nb10.tgz
NetBSD 9.0earmv6hfncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0earmv6hfncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0earmv6hfncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0earmv7hfncbi-blast+-2.8.1nb10.tgz
NetBSD 9.0earmv7hfncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0earmv7hfncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0earmv7hfncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0earmv7hfncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0i386ncbi-blast+-2.8.1nb10.tgz
NetBSD 9.0i386ncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0i386ncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0i386ncbi-blast+-2.11.0.tgz
NetBSD 9.0mips64ebncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0mips64ebncbi-blast+-2.8.1nb10.tgz
NetBSD 9.0mips64ebncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0x86_64ncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0x86_64ncbi-blast+-2.11.0.tgz
NetBSD 9.0x86_64ncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0x86_64ncbi-blast+-2.11.0.tgz
NetBSD 9.0x86_64ncbi-blast+-2.8.1nb10.tgz
NetBSD 9.0x86_64ncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0x86_64ncbi-blast+-2.8.1nb12.tgz
NetBSD 9.0x86_64ncbi-blast+-2.11.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.